; docformat = 'rst'
;+
; This is an example program to demonstrate how to create a sun terminator plot
; with Coyote Graphics routines. This routine absolutely requires that the 
; Johns Hopkins University Applied Physics Lab IDL library be on your IDL path.
; URL: http://fermi.jhuapl.edu/s1r/idl/s1rlib/local_idl.html.
;
; :Categories:
;    Graphics
;    
; :Examples:
;    Save the program as "sun_terminator_plot.pro" and run it like this::
;       IDL> .RUN sun_terminator_plot
;       
; :Author:
;    FANNING SOFTWARE CONSULTING::
;       David W. Fanning 
;       1645 Sheely Drive
;       Fort Collins, CO 80526 USA
;       Phone: 970-221-0438
;       E-mail: david@idlcoyote.com
;       Coyote's Guide to IDL Programming: http://www.idlcoyote.com
;
; :History:
;     Change History::
;        Written, 2 February 2013 by David W. Fanning.
;
; :Copyright:
;     Copyright (c) 2013, Fanning Software Consulting, Inc.
;-

  ; Display the plot in a graphics window.
  cgTerminatorMap
  
  ; Create a PostScript file.
  cgTerminatorMap, /PS
  
  ; Create a PNG file 600 pixels wide.
  cgPS2Raster, 'cgterminatormap.ps', /PNG, Width=600

END